@charset "UTF-8";
/******************************************************************
Site Name: サイト名称
Author: Harimanics Co.Ltd.
******************************************************************/
@media all {
  .single__block {
    width: min(960px, 100vw);
    margin-inline: auto;
    padding: max(8rem, 40px) 0 max(16rem, 80px);
  }
  .single__box {
    padding: max(6rem, 30px) max(6rem, 30px) 0;
    border-radius: 15px;
    background: var(--beige);
  }
  .single__header {
    display: flex;
    align-items: center;
    gap: 10px;
  }
  .single__date {
    font-weight: 700;
    color: #500E19;
    letter-spacing: 0;
  }
  .single__category {
    width: 9em;
    padding: 0.45em 0.55em;
    border-radius: 100vmax;
    background: rgba(135, 36, 52, 0.15);
    color: var(--red);
    text-align: center;
    line-height: 1;
    letter-spacing: 0;
  }
  .single__title {
    font-size: clamp(20px, 24 / 1400 * 100vw, 24px);
    margin-top: 0.7em;
    padding-bottom: 1em;
    border-bottom: 1px solid var(--white);
    font-weight: 700;
    line-height: 1.8;
  }
  .single__content {
    padding: 0 0 max(6rem, 30px);
  }
  .single__content p {
    font-size: clamp(14px, 16 / 1400 * 100vw, 16px);
    margin-top: max(4rem, 20px);
  }
  .single__content figure {
    margin: 0;
  }
  .single__content img {
    display: inline-block;
    margin-top: max(4rem, 20px);
  }
  .single__content a {
    transition: var(--transition);
    font-size: clamp(14px, 16 / 1400 * 100vw, 16px);
    display: inline-block;
    /*margin-top: max(4rem, 20px);*/
    position: relative;
    color: var(--red);
    font-weight: 700;
    -webkit-text-decoration: revert;
            text-decoration: revert;
  }
}
@media (hover: hover) {
  .single__content a:hover {
    opacity: var(--opacity);
  }
}
@media all {
  .single__content a[href$=".pdf"] {
    padding-left: 1.3em;
  }
  .single__content a[href$=".pdf"]::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    width: 15px;
    aspect-ratio: 1/2;
    background: url("../img/common/icon_pdf.svg") no-repeat center center/15px;
  }
  .single__content span {
    white-space: normal;
  }
  .single__content .is-layout-flex.wp-block-group-is-layout-flex {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0;
  }
  .single__content .is-layout-flex.wp-block-group-is-layout-flex img {
    width: 100%;
  }
/*
  .single__content img {
    width: calc(50% - 10px);
  }
*/
  .single__content img[width] {
      width: attr(width px);
      max-width: 100%;
      height: auto;
  }
  /* 左揃え */
  .single__content img.alignleft {
      display: block;
      margin-left: 0;
      margin-right: auto;
  }
  /* 中央揃え */
  .single__content img.aligncenter {
      display: block;
      margin-left: auto;
      margin-right: auto;
  }
  
  /* 右揃え */
  .single__content img.alignright {
      display: block;
      margin-left: auto;
      margin-right: 0;
  }
  .single__button {
    margin: max(5rem, 30px) auto 0;
  }
}
@media (width < 960px) {
  .single__box {
    width: 90%;
    margin-inline: auto;
  }
}
@media screen and (max-width: 767px) {
  .single {
    background: var(--beige);
  }
  .single__box {
    padding: max(6rem, 30px) 0 0;
  }
  .single .is-layout-flex.wp-block-group-is-layout-flex {
    grid-template-columns: 1fr;
  }
  .single img {
    width: 100%;
  }
  .single__title {
    line-height: 1.6;
  }
}